summarizeReplicates {maigesPack} | R Documentation

## Summarise microarray objects

### Description

Function to summarise measures of a `maiges` class object, both by samples and genes.

### Usage

    summarizeReplicates(object=NULL, gLabelID="GeneName", sLabelID="Sample",
                        funcS="mean", funcG="mean", rmBad=TRUE, keepEmpty=TRUE)

### Arguments

`object` | object of class `maiges`.
`gLabelID` | character string giving the gene label ID to be used to summarise the data by rows.
`sLabelID` | character string giving the sample label ID to be used to summarise the data by columns.
`funcS` | character string specifying the function to be applied for sample replicates. Defaults to 'mean'. If NULL, no resume is done for samples.
`funcG` | character string specifying the function to be applied for genes (spots) replicates. Defaults to 'mean'. If NULL, no resume is done for genes..
`rmBad` | logical indicating if you want to remove or not bad spots, given by the slot `BadSpots` in argument `object`.
`keepEmpty` | logical indicating if you want to maintain spots with empty information.

### Details

This function takes the object of class `maiges` and resume the data by spots (rows) and samples (columns).

### Value

This function returns another object of class `maiges` with replicates summarised to only one observation.

### Author(s)

Gustavo H. Esteves <gesteves@vision.ime.usp.br>

### Examples

    ## Loading the dataset
    data(gastro)

    ## Summarising the data (maigesNorm class), replicated samples will be
    ## summarised by mean and genes by median
    gastro.summ = summarizeReplicates(gastro.norm, gLabelID="GeneName",
      sLabelID="Sample", funcS="mean", funcG="median",
      keepEmpty=FALSE, rmBad=FALSE)

    ## To summarise genes by mean and keep the blank spots use
    gastro.summ = summarizeReplicates(gastro.norm, gLabelID="GeneName",
      sLabelID="Sample", funcS="mean", funcG="mean",
      keepEmpty=TRUE, rmBad=FALSE)

[Package maigesPack version 1.4.0 Index]